#include "waypoint_mfd.h"

const int MFDHANDLE::getMode(unsigned int mfdIdentifier) const
{
	for (unsigned int i=0;i<smfds.size();i++)
	{
		if (smfds.at(i).mfdIdentifier == mfdIdentifier) 
			return smfds.at(i).mode;
	}
	//TODO:IF NOT FOUND?
}
int MFDHANDLE::getMode(unsigned int mfdIdentifier)
{
	return getMFDSignleData(mfdIdentifier)->mode;
}
void MFDHANDLE::setMode(unsigned int mfdIdentifier, int mode)
{
	getMFDSignleData(mfdIdentifier)->mode = mode;
}
double MFDHANDLE::getZoom(unsigned int mfdIdentifier)
{
	return getMFDSignleData(mfdIdentifier)->zoom;
}
unsigned long MFDHANDLE::getVirtualZoom(unsigned int mfdIdentifier)
{
	return getMFDSignleData(mfdIdentifier)->virtualZoom;
}
void MFDHANDLE::setZoom(unsigned int mfdIdentifier, double zoom)
{
	getMFDSignleData(mfdIdentifier)->zoom = zoom;
}
void MFDHANDLE::setVirtualZoom(unsigned int mfdIdentifier, unsigned long int virtualZoom)
{
	getMFDSignleData(mfdIdentifier)->virtualZoom = virtualZoom;
}
SINGLE_MFDSETTINGS * MFDHANDLE::getMFDSignleData(unsigned int mfdIdentifier)
{
	for (unsigned int i=0;i<smfds.size();i++)
	{
		if (smfds.at(i).mfdIdentifier == mfdIdentifier) 
			return &smfds.at(i);
	}
	//TODO: What if not found??
}